Bug 252615 - devel/py-oci: update to 2.27.0
Summary: devel/py-oci: update to 2.27.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/oracle/oci-python-...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-12 18:46 UTC by Alessandro Sagratini
Modified: 2021-01-17 18:08 UTC (History)
2 users (show)

See Also:


Attachments
trivial update of Makefile and distinfo (1.48 KB, patch)
2021-01-12 18:46 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff
trivial update of Makefile and distinfo (1.35 KB, patch)
2021-01-13 18:03 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Sagratini 2021-01-12 18:46:05 UTC
Created attachment 221505 [details]
trivial update of Makefile and distinfo

trivial update of Makefile and distinfo
Comment 1 Automation User 2021-01-12 19:12:37 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/240700832
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-13 12:35:58 UTC
Q/A: patch did not apply cleanly. Would you mind checking it? I think your Makefile might not be up to date.


Thanks!
Comment 3 Alessandro Sagratini 2021-01-13 18:03:36 UTC
Created attachment 221536 [details]
trivial update of Makefile and distinfo

That's interesting, I'm curious what error are you getting when trying to apply the patch? And why the automated build is fine?

I uploaded a new version of the patch anyways :)
Comment 4 Fernando Apesteguía freebsd_committer 2021-01-13 18:13:54 UTC
(In reply to Alessandro Sagratini from comment #3)
In your patch:

diff -urN /usr/ports/devel/py-oci/Makefile py-oci/Makefile
--- /usr/ports/devel/py-oci/Makefile    2020-12-28 16:29:39.600728000 +0000
+++ py-oci/Makefile     2021-01-12 18:43:53.312207000 +0000
@@ -1,8 +1,8 @@
 # Created by: Alessando Sagratini <ale_sagra@hotmail.com>
-# $FreeBSD: head/devel/py-oci/Makefile 558240 2020-12-16 20:36:14Z rhurlin $
+# $FreeBSD: head/devel/py-oci/Makefile 533333 2020-04-29 12:04:52Z meta $

 PORTNAME=      oci
-PORTVERSION=   2.26.0
+PORTVERSION=   2.27.0
 CATEGORIES=    devel python
 MASTER_SITES=  CHEESESHOP
...
...

In the repo:

# Created by: Alessando Sagratini <ale_sagra@hotmail.com>
# $FreeBSD: head/devel/py-oci/Makefile 559531 2020-12-28 23:02:12Z antoine $

PORTNAME=       oci
PORTVERSION=    2.26.0
CATEGORIES=     devel python
MASTER_SITES=   CHEESESHOP
PKGNAMEPREFIX=  ${PYTHON_PKGNAMEPREFIX}

MAINTAINER=     ale_sagra@hotmail.com
COMMENT=        Python interface to Oracle Cloud Infrastructure
...
...

Last commit was by antoine on 2020-12-28 (r559531) and your patch was against 558240 from 2020-12-16 :-D
Comment 5 Alessandro Sagratini 2021-01-14 10:42:11 UTC
Thank you: is the latest patch working?
Comment 6 Fernando Apesteguía freebsd_committer 2021-01-14 11:41:06 UTC
(In reply to Alessandro Sagratini from comment #5)
LGTM, thanks!
Comment 7 Alessandro Sagratini 2021-01-15 16:48:59 UTC
Hello Fernando, any luck with this?
Comment 8 Fernando Apesteguía freebsd_committer 2021-01-17 18:07:46 UTC
Committed,

Thanks!
Comment 9 commit-hook freebsd_committer 2021-01-17 18:08:09 UTC
A commit references this bug:

Author: fernape
Date: Sun Jan 17 18:07:38 UTC 2021
New revision: 561846
URL: https://svnweb.freebsd.org/changeset/ports/561846

Log:
  devel/py-oci: update to 2.27.0

  ChangeLog: https://github.com/oracle/oci-python-sdk/releases/tag/v2.27.0

  PR:	252615
  Submitted by:	ale_sagra@hotmail.com (maintainer)

Changes:
  head/devel/py-oci/Makefile
  head/devel/py-oci/distinfo